List RCS agent carrier approvals
Lists carrier approval records for an RCS agent. The provider may expose per-carrier, hub-level, or bot-level approval status.
GET
/
rcs
/
agents
/
{id}
/
carrier_approvals
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.rcs.agents.retrieveCarrierApprovals('id');
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.rcs.agents.retrieve_carrier_approvals(
"id",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Rcs.Agents.GetCarrierApprovals(
context.TODO(),
"id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.rcs().agents().retrieveCarrierApprovals("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.rcs.agents.retrieve_carrier_approvals("id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->rcs->agents->retrieveCarrierApprovals(
'id',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx rcs:agents retrieve-carrier-approvals \
--api-key 'My API Key' \
--id idcurl --request GET \
--url https://api.telnyx.com/v2/rcs/agents/{id}/carrier_approvals \
--header 'Authorization: Bearer <token>'[
{
"approval_id": "33333333-3333-4333-8333-333333333333",
"scope_type": "hub",
"status": "SUBMITTED",
"carrier": null,
"submitted_at": "2026-08-10T12:00:00Z",
"approved_at": null,
"rejected_reason": null
}
]{
"detail": "The requested RCS resource was not found."
}{
"detail": "The requested RCS resource was not found."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Telnyx-assigned agent identifier.
Response
Carrier approval records for the agent.
Available options:
carrier, hub, bot Available options:
PENDING, SUBMITTED, APPROVED, REJECTED Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.rcs.agents.retrieveCarrierApprovals('id');
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.rcs.agents.retrieve_carrier_approvals(
"id",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Rcs.Agents.GetCarrierApprovals(
context.TODO(),
"id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var response = client.rcs().agents().retrieveCarrierApprovals("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.rcs.agents.retrieve_carrier_approvals("id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->rcs->agents->retrieveCarrierApprovals(
'id',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx rcs:agents retrieve-carrier-approvals \
--api-key 'My API Key' \
--id idcurl --request GET \
--url https://api.telnyx.com/v2/rcs/agents/{id}/carrier_approvals \
--header 'Authorization: Bearer <token>'[
{
"approval_id": "33333333-3333-4333-8333-333333333333",
"scope_type": "hub",
"status": "SUBMITTED",
"carrier": null,
"submitted_at": "2026-08-10T12:00:00Z",
"approved_at": null,
"rejected_reason": null
}
]{
"detail": "The requested RCS resource was not found."
}{
"detail": "The requested RCS resource was not found."
}